> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toapis.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Gemini 3 Pro Image 普通版 图像生成

> Gemini 3 Pro Image 普通版 支持文生图和图生图, 最多 6 张参考图.

> [!NOTE]
>
> **国内用户请注意：** 中国大陆用户请使用 `https://toapis.cn` 作为接口地址（Base URL）。文档示例中的 `https://toapis.com` 请替换为 `https://toapis.cn`。

## 版本选择

| 版本 | 参考图上限 | 适用场景 |
| - | - | - |
| [普通版](https://docs.toapis.com/docs/cn/api-reference/images/gemini-3-pro-image/generation.md) | 6 张 | 文生图和少量参考图编辑 |
| [VIP](https://docs.toapis.com/docs/cn/api-reference/images/gemini-3-pro-image-vip/generation.md) | 14 张 | 需要更多参考图的编辑和组合 |
| [Official](https://docs.toapis.com/docs/cn/api-reference/images/gemini-3-pro-image-official/generation.md) | 14 张 | 需要原生生成参数控制 |

参考图数量指输入图片总数, 不代表输出图片数量. 三个版本使用不同的模型 ID, 请按对应页面的参数和示例调用.

## 当前版本

使用 `model: "gemini-3-pro-image-preview"` 选择普通版, 支持文生图和最多 6 张参考图的图生图或图像编辑.
适合文生图和不超过 6 张参考图的编辑. 需要更多参考图时, 可查看上方 VIP 或 Official 文档.
请求异步执行, 提交成功后通过任务 ID 查询结果.

> [!WARNING]
>
> `image_urls` 仅支持图片 URL, 不直接接收 base64. 请先使用 [上传图片接口](https://docs.toapis.com/docs/cn/api-reference/uploads/images.md) 获取可访问的 URL.

## 认证

**Authorization** `string` *required*

所有接口均需要使用 Bearer Token 进行认证

获取 API Key：访问 [API Key 管理页面](https://toapis.com/console/token) 获取您的 API Key

使用时在请求头中添加：

```
Authorization: Bearer YOUR_API_KEY
```

## 请求参数

**model** `string` *required* (default: gemini-3-pro-image-preview)

图像生成模型名称

可用模型别名：`nano-banana-pro`

示例：`"gemini-3-pro-image-preview"`

**prompt** `string` *required*

图像生成的文本描述

上游模型输入上限为 65,536 tokens。ToAPIs 不额外设置 1000 字符限制。

**size** `string`

图像生成的尺寸比例

支持的格式：

* 比例：`1:1`, `2:3`, `3:2`, `3:4`, `4:3`, `4:5`, `5:4`, `9:16`, `16:9`, `21:9`

**n** `integer` (default: 1)

生成图像的数量

固定为 1

**⚠️ 注意：** 必须是纯数字（如 `1`），不要加引号，否则会报错

**metadata** `object`

元数据参数，用于传递额外的配置选项

**支持的元数据字段**

**resolution** `string` (default: 1K)

输出图像分辨率

支持的值：

* `1K` - 1K 分辨率（默认）
* `2K` - 2K 分辨率
* `4K` - 4K 分辨率

**orientation** `string`

图像方向

支持的值：

* `landscape` - 横向
* `portrait` - 竖向

**image\_urls** `object[]`

参考图像 URL 列表，用于图生图或图像编辑

**详细字段说明**

**url** `string` *required*

图像 URL 地址

**⚠️ 仅支持 URL 格式（不再支持 base64）**

* 公开可访问的图片 URL（http\:// 或 https\://）
* 示例：`https://example.com/image.jpg`
* 可使用 [上传图片接口](https://docs.toapis.com/docs/cn/api-reference/uploads/images.md) 上传本地图片获取 URL

**限制：**

* 单张图片不得超过 10MB
* 支持格式：.jpeg, .jpg, .png, .webp

**限制：** 最多 6 张图片

## 响应字段

**id** `string`

任务唯一标识符，用于查询任务状态

**object** `string`

对象类型，固定为 `generation.task`

**model** `string`

使用的模型名称

**status** `string`

任务状态

* `queued` - 排队等待处理
* `in_progress` - 处理中
* `completed` - 成功完成
* `failed` - 失败

**progress** `integer`

任务进度百分比（0-100）

**created\_at** `integer`

任务创建时间戳（Unix 时间戳）

**metadata** `object`

任务元数据

```bash cURL theme={null}
curl --request POST \
  --url https://toapis.com/v1/images/generations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
    "model": "gemini-3-pro-image-preview",
    "prompt": "未来城市的天际线，霓虹灯光",
    "size": "16:9",
    "n": 1,
    "metadata": {
      "resolution": "1K",
      "orientation": "landscape"
    }
  }'
```

```bash cURL (图生图示例) theme={null}
curl --request POST \
  --url https://toapis.com/v1/images/generations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
    "model": "gemini-3-pro-image-preview",
    "prompt": "增强这张城市照片的色彩和细节",
    "size": "16:9",
    "n": 1,
    "metadata": {
      "resolution": "2K"
    },
    "image_urls": ["https://example.com/city.jpg"]
  }'
```

```python Python theme={null}
import requests

response = requests.post(
    "https://toapis.com/v1/images/generations",
    headers={
        "Authorization": "Bearer your-ToAPIs-key",
        "Content-Type": "application/json"
    },
    json={
        "model": "gemini-3-pro-image-preview",
        "prompt": "未来城市的天际线，霓虹灯光",
        "size": "16:9",
        "n": 1,
        "metadata": {
            "resolution": "1K",
            "orientation": "landscape"
        }
    }
)

task = response.json()
print(f"任务 ID: {task['id']}")
print(f"状态: {task['status']}")
```

```python Python (图生图) theme={null}
import requests

response = requests.post(
    "https://toapis.com/v1/images/generations",
    headers={
        "Authorization": "Bearer your-ToAPIs-key",
        "Content-Type": "application/json"
    },
    json={
        "model": "gemini-3-pro-image-preview",
        "prompt": "增强这张城市照片的色彩和细节",
        "size": "16:9",
        "n": 1,
        "metadata": {
            "resolution": "2K"
        },
        "image_urls": ["https://example.com/city.jpg"]
    }
)

task = response.json()
print(f"任务 ID: {task['id']}")
print(f"状态: {task['status']}")
```

```javascript JavaScript theme={null}
const response = await fetch('https://toapis.com/v1/images/generations', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer your-ToAPIs-key',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    model: 'gemini-3-pro-image-preview',
    prompt: '未来城市的天际线，霓虹灯光',
    size: '16:9',
    n: 1,
    metadata: {
      resolution: '1K',
      orientation: 'landscape'
    }
  })
});

const task = await response.json();
console.log(`任务 ID: ${task.id}`);
console.log(`状态: ${task.status}`);
```

```javascript JavaScript (图生图) theme={null}
const response = await fetch('https://toapis.com/v1/images/generations', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer your-ToAPIs-key',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    model: 'gemini-3-pro-image-preview',
    prompt: '增强这张城市照片的色彩和细节',
    size: '16:9',
    n: 1,
    metadata: {
      resolution: '2K'
    },
    image_urls: ['https://example.com/city.jpg']
  })
});

const task = await response.json();
console.log(`任务 ID: ${task.id}`);
console.log(`状态: ${task.status}`);
```

```json 200 theme={null}
{
  "id": "task_img_abc123def456",
  "object": "generation.task",
  "model": "gemini-3-pro-image-preview",
  "status": "queued",
  "progress": 0,
  "created_at": 1703884800,
  "metadata": {}
}
```

## 查询结果

提交响应中的 `id` 是任务 ID. 使用 [图片任务查询接口](https://docs.toapis.com/docs/cn/api-reference/tasks/image-status.md) 获取状态和最终图片.
任务查询和 [Webhook 回调](https://docs.toapis.com/docs/cn/api-reference/webhooks/task-webhooks.md) 沿用通用异步图片接口约定.


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.